mysqli->host_info
mysqli->server_info
MySQLi
PHP Manual

# mysqli->protocol_version

# mysqli_get_proto_info

(PHP 5)

mysqli->protocol_version -- mysqli_get_proto_info — Returns the version of the MySQL protocol used

### Description

Object oriented style (property):

mysqli
string $protocol_version;

Procedural style:

int mysqli_get_proto_info ( mysqli `$link` )

Returns an integer representing the MySQL protocol version used by the connection represented by the `link` parameter.

### Parameters

`link`

  Procedural style only: A link identifier returned by mysqli_connect() or mysqli_init()

### Return Values

Returns an integer representing the protocol version.

### Examples

Example #1 Object oriented style

`<?php
$mysqli = new mysqli("localhost", "my_user", "my_password");
/* check connection */
if (mysqli_connect_errno()) {
printf("Connect failed: %s\n", mysqli_connect_error());
exit();
}
/* print protocol version */
printf("Protocol version: %d\n", $mysqli->protocol_version);
/* close connection */
$mysqli->close();
?>`

Example #2 Procedural style

`<?php
$link = mysqli_connect("localhost", "my_user", "my_password");
/* check connection */
if (mysqli_connect_errno()) {
printf("Connect failed: %s\n", mysqli_connect_error());
exit();
}
/* print protocol version */
printf("Protocol version: %d\n", mysqli_get_proto_info($link));
/* close connection */
mysqli_close($link);
?>`

The above example will output:

    Protocol version: 10

### See Also

- mysqli_get_host_info() - Returns a string representing the type of connection used

mysqli->host_info
mysqli->server_info
MySQLi
PHP Manual